--- ${PACKAGE_NAME}
-- Nenue
-- 5 e9b61fd5f607935fc0c89b4588adb3f2ad5edf5b
-- 5 e9b61fd5f607935fc0c89b4588adb3f2ad5edf5b
-- Created: 3/30/2016 1:23 AM
local B = select(2,...).frame
local mod = B:RegisterModule("ObjectiveTracker", _G.VeneerObjectiveWrapper, 'BuffFrame')
local print = B.print('ObjectiveEvent')

--------------------------------------------------------------------
--- Specialized event handlers
--------------------------------------------------------------------
print(mod:GetName())
mod.OnQuestAccepted = function(_, questLogIndex, questID)
  AddQuestWatch(questLogIndex)
  SetSuperTrackedQuestID(questID)
end

mod.OnQuestComplete = function(_, questLogIndex, questID)
  QuestPOIUpdateIcons()
end

mod.OnQuestFinished = function(_, questLogIndex, questID)
  mod.TrackClosest()
  RemoveQuestWatch(questLogIndex)
end

mod.OnQuestRemoved = function(_, questLogIndex, questID)
end

mod.OnQuestFromLocation = function(event) end

mod.OnAddQuestWatch = function(questID)
  mod.UpdateActionButtons()
end
